Package org.apache.lucene.backward_codecs.lucene80

# Class Lucene80Codec

java.lang.Object
org.apache.lucene.codecs.Codec
org.apache.lucene.backward_codecs.lucene80.Lucene80Codec

All Implemented Interfaces:
  `NamedSPILoader.NamedSPI`

public class Lucene80Codec extends Codec
Implements the Lucene 8.0 index format.

See Also:
  - `package documentation for file format details.`
WARNING: This API is experimental and might change in incompatible ways in the next release.

## Constructor Summary

Constructors
Constructor
Description
`Lucene80Codec()`
Instantiates a new codec.

## Method Summary

Modifier and Type
Method
Description
`final CompoundFormat`
`compoundFormat()`
`final DocValuesFormat`
`docValuesFormat()`
`final FieldInfosFormat`
`fieldInfosFormat()`
`final KnnVectorsFormat`
`knnVectorsFormat()`
`final LiveDocsFormat`
`liveDocsFormat()`
`final NormsFormat`
`normsFormat()`
`final PointsFormat`
`pointsFormat()`
`final PostingsFormat`
`postingsFormat()`
`final SegmentInfoFormat`
`segmentInfoFormat()`
`final StoredFieldsFormat`
`storedFieldsFormat()`
`TermVectorsFormat`
`termVectorsFormat()`

### Methods inherited from class org.apache.lucene.codecs.Codec

`availableCodecs, forName, getDefault, getName, reloadCodecs, setDefault, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Lucene80Codec

public Lucene80Codec()
Instantiates a new codec.

## Method Details

### storedFieldsFormat

public final StoredFieldsFormat storedFieldsFormat()

Specified by:
  `storedFieldsFormat` in class `Codec`

### termVectorsFormat

public TermVectorsFormat termVectorsFormat()

Specified by:
  `termVectorsFormat` in class `Codec`

### postingsFormat

public final PostingsFormat postingsFormat()

Specified by:
  `postingsFormat` in class `Codec`

### fieldInfosFormat

public final FieldInfosFormat fieldInfosFormat()

Specified by:
  `fieldInfosFormat` in class `Codec`

### segmentInfoFormat

public final SegmentInfoFormat segmentInfoFormat()

Specified by:
  `segmentInfoFormat` in class `Codec`

### liveDocsFormat

public final LiveDocsFormat liveDocsFormat()

Specified by:
  `liveDocsFormat` in class `Codec`

### compoundFormat

public final CompoundFormat compoundFormat()

Specified by:
  `compoundFormat` in class `Codec`

### pointsFormat

public final PointsFormat pointsFormat()

Specified by:
  `pointsFormat` in class `Codec`

### docValuesFormat

public final DocValuesFormat docValuesFormat()

Specified by:
  `docValuesFormat` in class `Codec`

### normsFormat

public final NormsFormat normsFormat()

Specified by:
  `normsFormat` in class `Codec`

### knnVectorsFormat

public final KnnVectorsFormat knnVectorsFormat()

Specified by:
  `knnVectorsFormat` in class `Codec`